#ifdef __BORLANDC__
  #pragma argsused
#endif
#include <iostream.h>
#include "iostream.h"
#define dwa 4
#define mak_class(nazwa) class nazwa {int zm;};
int zmienna;
float zmienne;
enum wylicz {jeden,dwa,trzy,cztery};

struct struktura
{
  int zm_stru_int;
};

void funkcja() {}

union unia {
  int zm_unii1;
  float zm_unii2;
  };

class bazowa {
  private:
  funkcja_bazowa() {}
  protected:
  int zm_int;
  float zm_float;
  bool zm_bool;
};

class pochodna1 : public bazowa
{
  public:
  void funkcja1() {}

   protected:
  float zm1_float;
  bool zm1_bool;
};
class pochodna2 : public bazowa
{
  public:
  void funkcja2() {}
    protected:
  bool zm2_bool;
  int zm2_int;
};

mak_class(klasa3);

int main( int argc, char * argv[] )
{
  bazowa objekt1;
  return 0;
}
